Alembic: Alembic::Abc::ALEMBIC_VERSION_NS::IArchive Class Reference

Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::Abc::ALEMBIC_VERSION_NS::IArchive Class Reference
Inheritance diagram for Alembic::Abc::ALEMBIC_VERSION_NS::IArchive:

## Public Types
typedef IArchive | this_type

## Public Member Functions
| IArchive ()
template<class ARCHIVE_CTOR>
| IArchive (ARCHIVE_CTOR iCtor, const std::string &iFileName, ErrorHandler::Policy iPolicy=ErrorHandler::kThrowPolicy, AbcA::ReadArraySampleCachePtr iCachePtr=AbcA::ReadArraySampleCachePtr())
| IArchive (AbcA::ArchiveReaderPtr iPtr, ErrorHandler::Policy iPolicy=ErrorHandler::kThrowPolicy)
| IArchive (AbcA::ArchiveReaderPtr iPtr, WrapExistingFlag, ErrorHandler::Policy iPolicy=ErrorHandler::kThrowPolicy)
| ~IArchive ()
std::string | getName () const
IObject | getTop () const
AbcA::ReadArraySampleCachePtr | getReadArraySampleCachePtr ()
void | setReadArraySampleCachePtr (AbcA::ReadArraySampleCachePtr iPtr)
AbcA::ArchiveReaderPtr | getPtr ()
void | reset ()
AbcA::TimeSamplingPtr | getTimeSampling (uint32_t iIndex)
| Returns the TimeSampling at a given index.
uint32_t | getNumTimeSamplings ()
index_t | getMaxNumSamplesForTimeSamplingIndex (uint32_t iIndex)
bool | valid () const
int32_t | getArchiveVersion ()
| ALEMBIC_OPERATOR_BOOL (valid())
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
ErrorHandler & | getErrorHandler () const
ErrorHandler::Policy | getErrorHandlerPolicy () const

## Additional Inherited Members
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
| Base (ErrorHandler::Policy iPolicy)
| Base (const Base &iCopy)
Base & | operator= (const Base &iCopy)
bool | valid () const
void | reset ()

## Member Typedef Documentation

## ◆ this_type

typedef IArchive Alembic::Abc::ALEMBIC_VERSION_NS::IArchive::this_type

By convention, we always define "this_type" in every Abc class. This convention is relied upon by the unspecified-bool-type cast

## Constructor & Destructor Documentation

## ◆ IArchive() [1/3]

Alembic::Abc::ALEMBIC_VERSION_NS::IArchive::IArchive | ( |  | ) |
| inline

The default constructor creates an empty IArchive function set. ...

## ◆ IArchive() [2/3]

template<class ARCHIVE_CTOR>

Alembic::Abc::ALEMBIC_VERSION_NS::IArchive::IArchive | ( | ARCHIVE_CTOR | iCtor,
|  | const std::string & | iFileName,
|  | ErrorHandler::Policy | iPolicy = ErrorHandler::kThrowPolicy,
|  | AbcA::ReadArraySampleCachePtr | iCachePtr = AbcA::ReadArraySampleCachePtr() )

The explicit constructor opens an existing archive with the given file name. Additional arguments that may be passed are the error handler policy and a pointer to a cache instance. By default, an archive-local cache will be created.

Parameters

  iCtor | We need to pass in a constructor which provides an explicit link to the concrete implementation of AbcCoreAbstract that we're using.
  iFileName | The file name.

## ◆ IArchive() [3/3]

Alembic::Abc::ALEMBIC_VERSION_NS::IArchive::IArchive | ( | AbcA::ArchiveReaderPtr | iPtr,
|  | ErrorHandler::Policy | iPolicy = ErrorHandler::kThrowPolicy )
| inline

This attaches an IArchive wrapper around an existing ArchiveReaderPtr, with an optional error handling policy.

Parameters

  iPtr | The pointer ...
  iPolicy | Optional error handling policy ...

## ◆ ~IArchive()

Alembic::Abc::ALEMBIC_VERSION_NS::IArchive::~IArchive | ( |  | ) |

Destructor ...

## Member Function Documentation

## ◆ ALEMBIC_OPERATOR_BOOL()

Alembic::Abc::ALEMBIC_VERSION_NS::IArchive::ALEMBIC_OPERATOR_BOOL | ( | valid() |  | ) |

The unspecified-bool-type operator casts the object to "true" if it is valid, and "false" otherwise.

## ◆ getArchiveVersion()

int32_t Alembic::Abc::ALEMBIC_VERSION_NS::IArchive::getArchiveVersion | ( |  | ) |

Returns the Alembic library numeric version (see Foundation.h) of this archive file.

## ◆ getMaxNumSamplesForTimeSamplingIndex()

index_t Alembic::Abc::ALEMBIC_VERSION_NS::IArchive::getMaxNumSamplesForTimeSamplingIndex | ( | uint32_t | iIndex | ) |

Returns the maximum number of samples written for the TimeSampling at the given index. If an illegal iIndex is specified, or a max number of samplings couldn't be found for that iIndex (for older archives pre 1.1.3) INDEX_UNKNOWN will be returned.

## ◆ getName()

std::string Alembic::Abc::ALEMBIC_VERSION_NS::IArchive::getName | ( |  | ) | const

Default copy constructor Default assignment operator

Returns the file name. It is an error to do so with an invalid object.

## ◆ getNumTimeSamplings()

uint32_t Alembic::Abc::ALEMBIC_VERSION_NS::IArchive::getNumTimeSamplings | ( |  | ) |

Returns the total number of TimeSamplingPtrs in the Archive TimeSampling pool.

## ◆ getPtr()

AbcA::ArchiveReaderPtr Alembic::Abc::ALEMBIC_VERSION_NS::IArchive::getPtr | ( |  | ) |
| inline

getPtr, as usual, returns a shared ptr to the underlying AbcCoreAbstract object, in this case the ArchiveReaderPtr.

## ◆ getReadArraySampleCachePtr()

AbcA::ReadArraySampleCachePtr Alembic::Abc::ALEMBIC_VERSION_NS::IArchive::getReadArraySampleCachePtr | ( |  | ) |

Get the read array sample cache. It may be a NULL pointer. Caches can be shared amongst separate archives, and caching will be disabled if a NULL cache is returned here.

## ◆ getTop()

IObject Alembic::Abc::ALEMBIC_VERSION_NS::IArchive::getTop | ( |  | ) | const

This returns the single top-level IObject that exists automatically as part of the archive.

## ◆ reset()

void Alembic::Abc::ALEMBIC_VERSION_NS::IArchive::reset | ( |  | ) |
| inline

Reset returns this function et to an empty, default state.

## ◆ setReadArraySampleCachePtr()

void Alembic::Abc::ALEMBIC_VERSION_NS::IArchive::setReadArraySampleCachePtr | ( | AbcA::ReadArraySampleCachePtr | iPtr | ) |

Set the read array sample cache. It may also be a NULL pointer. Caches can be shared amongst separate archives, and caching will be disabled if a NULL cache is passed here.

## ◆ valid()

bool Alembic::Abc::ALEMBIC_VERSION_NS::IArchive::valid | ( |  | ) | const
| inline

Valid returns whether this function set is valid.

The documentation for this class was generated from the following files:

- Abc/IArchive.h
- Abc/IArchive.cpp